Subject: bug#16740: 24.2; Please allow C-p and C-n in minibuffer

From: Ed Avis <[email-masked]>
Date: Thu, 13 Feb 2014 11:32:09 +0000

>IOW, I'd rather change bash behavior to match the Emacs one, instead
>of the other way around.

I expected that to be the response.  And no doubt on the bash mailing
list it would be the opposite.  I will ask them though.  To my mind the
best resolution is for both programs to accept both keybindings.

I agree that sometimes it happens that the minibuffer contains more than
one line of text.  But never with find-file.  I don't think I've ever wanted to
create or open a filename with embedded newline using Emacs.

As a compromise could Emacs make C-p do previous-line if the minibuffer
contains more than one line, and previous-history-element otherwise?

-- 
Ed Avis <[email-masked]>

______________________________________________________________________
This email has been scanned by the Symantec Email Security.cloud service.
For more information please visit http://www.symanteccloud.com
______________________________________________________________________